package com.affy.prevayler.test;

import java.io.File;
import java.io.FilenameFilter;
import java.text.DecimalFormat;
import java.util.Collection;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.Set;
import java.util.TreeMap;

import org.prevayler.implementation.SnapshotPrevayler;

import com.affy.prevayler.util.ObjectManager;
import com.affy.prevayler.util.StopWatch;


/**
 * @author David Medinets
 */
public class Main_SavingAll {

	public static void main(String[] args) throws Exception {
		StopWatch.add("Main");
//		PrevaylerHelper.deletePrevalenceFiles(ObjectManager.prevalenceBase());
		SnapshotPrevayler prevayler = new SnapshotPrevayler(new ObjectManager(), ObjectManager.prevalenceBase());
		System.out.println("----------");

		Main_SavingStrings mss = new Main_SavingStrings();
		mss.setPrevayler(prevayler);
		mss.process("RECOVER_DATABASE");
		System.out.println("----------");

		Main_SavingObjects mso = new Main_SavingObjects();
		mso.setPrevayler(prevayler);
		mso.process("RECOVER_DATABASE");
		System.out.println("----------");

		Main_SavingLookupValues mslv = new Main_SavingLookupValues();
		mslv.setPrevayler(prevayler);
		mslv.process("RECOVER_DATABASE");
		System.out.println("----------");
/*
		TreeMap sorted_map = new TreeMap(ObjectManager.getInstance());
		Set keySet = sorted_map.keySet();
		Iterator i = keySet.iterator();
		while (i.hasNext()) {
			System.out.println(i.next());
		}
*/
		System.out.println("Total Elapsed Time: " + StopWatch.elapsedTime("Main") + " ms.");
	}

}
